# Cf. https://buildmedia.readthedocs.org/media/pdf/pytest/latest/pytest.pdf

[pytest]

# set command line default options
addopts =
# raise errors on unknown marks:
#    --strict-markers
# do not raise warnings on unknown marks:                                                           
    -W ignore::pytest.PytestUnknownMarkWarning
# always run in verbose mode:
    -v
# show extra test summary for all test ('a'):
    -r a
# inore test file based on a precise path:
    --ignore="path/to/ignore"
# ignore test file paths based on Unix shell-style wildcards:
    --ignore-glob="dirs-to-ignores-*"

# register custom marks:
markers =
    slow: marks tests as slow (deselect with '-m "not slow"')
    serial: note that everything after the ':' is an optional desciption
